Bug 15739 - hdc tray open errors on console screen
hdc tray open errors on console screen
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-08 12:37 EDT by joe_mccarthy
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 09:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joe_mccarthy 2000-08-08 12:37:35 EDT
Did fresh install of pinstripe. Installed every thing. Default to run level
3, not gui login. I logged out and left the pc on over night at the test
based login prompt. This morning saw the following message on my login
screen:

hdc: tray open end_request: I/O error, dev 16:00 (hdc) sector 112

hdc: tray open end_request: I/O error, dev 16:00 (hdc) sector 116

I checked the /var/log messages and it showed the following:
-------------------------------------------------------------
Aug  7 19:13:54 localhost gnome-name-server[1719]: input condition is:
0x10, exiting
Aug  7 19:14:13 localhost PAM_unix[1587]: (system-auth) session closed for
user JoeMack
Aug  8 04:02:00 localhost anacron[2457]: Updated timestamp for job
`cron.daily' to 2000-08-08
Aug  8 04:03:58 localhost kernel: hdc: tray open
Aug  8 04:03:58 localhost kernel: end_request: I/O error, dev 16:00 (hdc),
sector 112
Aug  8 04:03:58 localhost kernel: hdc: tray open
Aug  8 04:03:58 localhost kernel: end_request: I/O error, dev 16:00 (hdc),
sector 116
Aug  8 04:05:21 localhost PAM_unix[8007]: (system-auth) session opened for
user news by (uid=0)
Aug  8 04:05:21 localhost PAM_unix[8007]: (system-auth) session closed for
user news
Aug  8 08:56:19 localhost PAM_unix[8150]: (system-auth) session opened for
user JoeMack by LOGIN(uid=0)
Aug  8 08:56:19 localhost  -- JoeMack[8150]: LOGIN ON tty1 BY JoeMack
---------------------------------------------------------------

I then started X and everything came up ok, and there was a cdrom icon on
my desktop. I right clicked on it and the option was to "unmount device" I
did so and there were no complaints. However, there was not a cdrom in the
drive.

System is a Compaq Deskpro with a 350 MHz Pentium II, 128 megs ram, 4 gig
SCSI hard drive. CDROM is a Compaq type: (from /proc/ide/ide1/hdc)
ide-cdrom version 4.58
COMPAQ CR-588
--------------------------
(from /sbin/lspci)
00:10.0 SCSI storage controller: Adaptec AIC-7881U (rev 01)
Comment 1 Crutcher Dunnavant 2000-08-08 14:37:41 EDT
This does not look like a anacron problem to me.
the anacron call only updates some time stamps.

moving this to kernel, maybe some nastyness there caused this.
Comment 2 joe_mccarthy 2000-08-14 09:24:33 EDT
This bug has not appeared again. One bit of info I forgot to include was I
ejected a cdrom without unmounting it first. I was surprise that I could do
this. I check (in gnome) by right clicking on the cdrom icon after this and it
said "mount" in the popup menu. I assumed this meant it unmount it fine. Left it
on over night and this is when the above error occurred.
Comment 3 Michael K. Johnson 2000-08-17 14:31:33 EDT
The Linux kernel tells cdrom drives to lock the door when a
cdrom disk is mounted.  Unfortunately, low-quality drives
often do not implement the locking feature and just lie to
the kernel and tell it that the door is locked.  I am
closing this as "NOTABUG" -- it is most definitely a bug
in the cdrom drive, but there's not much we can do about
that.  :-)

Note You need to log in before you can comment on or make changes to this bug.